// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0.If a copy of the MPL was not distributed with this
// file, You can obtain one at https ://mozilla.org/MPL/2.0/.

#ifndef ANGLE_H
#define ANGLE_H

class Angle {
 public:
  const static float Rad2Deg;
  const static float Deg2Rad;

  static float Normalize(float angle);
  static float Clamp(float angle, float min, float max);
  static float Difference(float a, float b);
  static float MoveTowards(float fromAngle, float toAngle, float maxAngle);
};

#endif